> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1userspasswordreset



## OpenAPI

````yaml https://auth-ms.supergasbras.app/swagger/v1/swagger.json put /v1/users/password/reset
openapi: 3.0.1
info:
  title: CTech Auth
  description: Service responsible for handling Auth version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/users/password/reset:
    put:
      tags:
        - User
      parameters:
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResetPasswordRequest'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            text/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ResetPasswordRequest:
      required:
        - token
        - userName
      type: object
      properties:
        userName:
          minLength: 1
          type: string
        token:
          minLength: 1
          type: string
        password:
          type: string
          nullable: true
        scope:
          $ref: '#/components/schemas/ScopeType'
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
          readOnly: true
        description:
          type: string
          nullable: true
          readOnly: true
        type:
          $ref: '#/components/schemas/ErrorType'
        numericType:
          type: integer
          format: int32
          readOnly: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
      additionalProperties: false
    ScopeType:
      enum:
        - Dealer
        - Consumer
        - BU
        - Integration
        - Marketing
      type: string
    ErrorType:
      enum:
        - Failure
        - Unexpected
        - Validation
        - Conflict
        - NotFound
        - Unauthorized
        - Forbidden
      type: string
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````